summaryrefslogtreecommitdiff
path: root/packages
diff options
context:
space:
mode:
Diffstat (limited to 'packages')
-rw-r--r--packages/foonas-init/files/initscripts/fixfstab91
-rw-r--r--packages/foonas-init/files/initscripts/loadmodules.sh11
-rw-r--r--packages/foonas-init/files/initscripts/rmrecovery4
-rw-r--r--packages/foonas-init/files/initscripts/sysconfsetup46
-rw-r--r--packages/foonas-init/files/initscripts/syslog.buffer23
-rw-r--r--packages/foonas-init/files/initscripts/syslog.file23
-rw-r--r--packages/foonas-init/files/initscripts/syslog.network28
-rw-r--r--packages/foonas-init/files/initscripts/umountinitrd.sh34
-rw-r--r--packages/gammu/files/.mtn2git_empty0
-rw-r--r--packages/gammu/files/ldflags-again.patch13
-rw-r--r--packages/gammu/gammu_1.10.0.bb (renamed from packages/gammu/gammu_1.07.00.bb)16
-rw-r--r--packages/images/foonas-image.bb25
-rw-r--r--packages/tasks/task-base.bb16
13 files changed, 37 insertions, 293 deletions
diff --git a/packages/foonas-init/files/initscripts/fixfstab b/packages/foonas-init/files/initscripts/fixfstab
deleted file mode 100644
index 67116a12fd..0000000000
--- a/packages/foonas-init/files/initscripts/fixfstab
+++ /dev/null
@@ -1,91 +0,0 @@
-#!/bin/sh
-# validate /etc/fstab against the current UUID list in
-# /etc/uuid_by_partition
-#
-. /etc/default/functions
-pfile=/etc/uuid_by_partition
-
-#
-# use debug to find out what is going on
-test "$1" = start -o "$1" = debug || exit 0
-
-#
-# obtain the current list of parititions with UUIDs
-newlist="$(uuid_by_partition)"
-
-if test -r "$pfile"
-then
- # read the old list
- oldlist="$(cat "$pfile")"
- #
- # if it hasn't changed nothing need be done
- test "$newlist" = "$oldlist" && exit 0
- #
- # it has changed, but this only matters if
- # a previously existing uuid has moved, build
- # a list of old device vs new device for every
- # uuid which has moved
- changedlist="$(
- { echo "$oldlist"
- echo "$newlist"
- } | awk 'device[$2] == ""{device[$2] = $1}
- device[$2] != $1{print device[$2], $1}')"
-
- if test -n "$changedlist"
- then
- # at least one partition has moved, scan the
- # current fstab to see if it has a reference
- # to this partition
- changedfstab="$(
- { echo "$changedlist"
- echo '#fstab'
- cat /etc/fstab
- } | awk 'BEGIN{list=1}
- list==1 && $0=="#fstab"{list=0; continue}
- list==1{new[$1] = $2; continue}
- new[$1] != ""{print $1, new[$1]}')"
-
- # if this list is not empty edit the fstab
- if test -n "$changedfstab"
- then
- rm -f /tmp/fstab.$$
- # if the edit fails then do not overwrite the old
- # partition list - just exit with an error
- { echo "$changedlist"
- echo '#fstab'
- cat /etc/fstab
- } | awk 'BEGIN{list=1}
- list==1 && $0=="#fstab"{list=0; continue}
- list==1{new[$1] = $2; continue}
- new[$1] != ""{$1 = new[$1]}
- {print}' >/tmp/fstab.$$ || {
- if test "$1" = start
- then
- logger -s "/etc/init.d/fixfstab: /tmp/fstab.$$: awk failed"
- else
- echo "debug: awk script failed with:" >&2
- echo "$changedlist" >&2
- echo "output in /tmp/fstab.$$" >&2
- fi
- exit 1
- }
-
- if test "$1" = start
- then
- mv /tmp/fstab.$$ /etc/fstab || {
- logger -s "/etc/init.d/fixfstab: /tmp/fstab.$$: update failed"
- exit 1
- }
- else
- echo "debug: fstab changed:"
- diff -u /etc/fstab /tmp/fstab.$$
- fi
- fi
- fi
-fi
-
-# write the new list to the file, only if we
-# are doing something...
-test "$1" = start && echo "$newlist" >"$pfile"
-
-exit 0
diff --git a/packages/foonas-init/files/initscripts/loadmodules.sh b/packages/foonas-init/files/initscripts/loadmodules.sh
deleted file mode 100644
index c5d44d1067..0000000000
--- a/packages/foonas-init/files/initscripts/loadmodules.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-. /etc/default/modulefunctions # Load module loading logic
-
-loadnetmods
-
-loaddiskmods
-
-loadmiscmods
-
-exit 0
diff --git a/packages/foonas-init/files/initscripts/rmrecovery b/packages/foonas-init/files/initscripts/rmrecovery
deleted file mode 100644
index eec822b154..0000000000
--- a/packages/foonas-init/files/initscripts/rmrecovery
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-# Run to remove /.recovery if the boot seems to have succeeded
-test -e /.recovery && rm -f /.recovery
-exit 0
diff --git a/packages/foonas-init/files/initscripts/sysconfsetup b/packages/foonas-init/files/initscripts/sysconfsetup
deleted file mode 100644
index a4f9074d9c..0000000000
--- a/packages/foonas-init/files/initscripts/sysconfsetup
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-# This script is run once when the system first boots. Its sole
-# purpose is to create /etc/default/sysconf (the overall system
-# configuration file) and other files derived from this.
-#
-# The script runs immediately after S10checkroot.sh - this is the
-# point at which the rootfs will be mounted rw even if the kernel
-# booted with it ro.
-#
-# rm or mv the file (/etc/default/sysconf) to recreate it, run this
-# script with the reload option to overwrite the system files. The
-# configuration files described in sysconf_reload (in
-# /sbin/sysconf) will be overwritten on reload.
-#
-# start: standard startup, do a complete (auto) restore if necessary
-# reinit: always do a complete auto restore
-# reload: just reload sysconf (no config files!)
-#
-# /etc/default/functions contains useful utility functions - it's
-# in a separate file so that it can be loaded by any script
-. /etc/default/functions
-load_functions sysconf || exit 1
-#
-case "$1" in
-start) test -s /etc/default/sysconf || {
- if sysconf_read
- then
- if sysconf_valid
- then
- sysconf_restore auto
- else
- sysconf_reload
- fi
- else
- sysconf_default
- sysconf_reload
- fi
- };;
-
-reload) test -s /etc/default/sysconf || sysconf_read || sysconf_default
- sysconf_reload;;
-
-reinit) sysconf_restore auto;;
-
-*) ;;
-esac
diff --git a/packages/foonas-init/files/initscripts/syslog.buffer b/packages/foonas-init/files/initscripts/syslog.buffer
deleted file mode 100644
index 9285c02946..0000000000
--- a/packages/foonas-init/files/initscripts/syslog.buffer
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses (only) 'buffer' as the DESTINATION
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) doit=1;;
- file) exit 0;;
- remote) exit 0;;
- *) echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-test -n "$doit" -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"
-
-exit 0
diff --git a/packages/foonas-init/files/initscripts/syslog.file b/packages/foonas-init/files/initscripts/syslog.file
deleted file mode 100644
index 80ee5f0174..0000000000
--- a/packages/foonas-init/files/initscripts/syslog.file
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses 'file' (and, optionally, buffer) as the DESTINATION
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) :;;
- file) doit=1;;
- remote) exit 0;;
- *) echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-test -n "$doit" -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"
-
-exit 0
diff --git a/packages/foonas-init/files/initscripts/syslog.network b/packages/foonas-init/files/initscripts/syslog.network
deleted file mode 100644
index 3d7f4ab8e6..0000000000
--- a/packages/foonas-init/files/initscripts/syslog.network
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses 'remote', or doesn't use 'buffer' or 'file'
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-doneit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) doneit=1;;
- file) doneit=1;;
- remote) doit=1;;
- *) doit=1
- echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-# One of doneit or doit is set unless the DESTINATION value
-# is empty (which is probably an error), let syslog handle
-# the error.
-test \( -n "$doit" -o -z "$doneit" \) -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"
-
-exit 0
diff --git a/packages/foonas-init/files/initscripts/umountinitrd.sh b/packages/foonas-init/files/initscripts/umountinitrd.sh
deleted file mode 100644
index b590ae68b5..0000000000
--- a/packages/foonas-init/files/initscripts/umountinitrd.sh
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-#
-# umount /mnt, which is where the initrd ends up mounted
-# if the directory /initrd is not present, if this fails
-# then the /initrd is mounted and we want to remount that
-# ro - this works round the shutdown -r hang problem
-. /etc/default/functions
-#
-# if we are turnup'ed to disk, then just unmount the initrd all together
-#
-if [ -e /initrd/dev/.devfsd ]; then
- [ "$VERBOSE" = "very" ] && echo "Unmounting initrd..."
- umount /initrd/dev
- umount /initrd
- exit 0
-fi
-
-while read device directory remainder
-do
- case "$directory" in
- /mnt) echo "InitRD: unmount initrd on /mnt" >&2
- umount /mnt;;
- /initrd)# need the device for a remount
- ffspart=Flashdisk
- ffsdev="$(mtblockdev $ffspart)"
- echo "InitRD: remount $ffdev read-only on /initrd" >&2
- if test -n "$ffsdev" -a -b "$ffsdev"
- then
- mount -o remount,ro "$ffsdev" /initrd
- else
- echo "Flashdisk: $ffsdev: flash device not found" >&2
- fi;;
- esac
-done </proc/mounts
diff --git a/packages/gammu/files/.mtn2git_empty b/packages/gammu/files/.mtn2git_empty
new file mode 100644
index 0000000000..e69de29bb2
--- /dev/null
+++ b/packages/gammu/files/.mtn2git_empty
diff --git a/packages/gammu/files/ldflags-again.patch b/packages/gammu/files/ldflags-again.patch
new file mode 100644
index 0000000000..90311e5f39
--- /dev/null
+++ b/packages/gammu/files/ldflags-again.patch
@@ -0,0 +1,13 @@
+Index: gammu-1.10.0/cfg/Makefile.glo
+===================================================================
+--- gammu-1.10.0.orig/cfg/Makefile.glo 2007-03-30 17:55:18.000000000 +0200
++++ gammu-1.10.0/cfg/Makefile.glo 2007-03-30 17:55:46.000000000 +0200
+@@ -152,7 +152,7 @@
+
+ $(TOPDIR)/gammu/gammu-shared: $(COMMON) $(GAMMU) $(TOPDIR)/common/$(LIBGAMMU_FULLNAME)
+ @echo Linking gammu-shared
+- @$(CC) -L$(TOPDIR)/common -lGammu $(GAMMU_CFLAGS) $(GAMMU_LIBS) $(SMSD_LIBS) $(GAMMU) -o $(TOPDIR)/gammu/gammu-shared
++ @$(CC) -L$(TOPDIR)/common -lGammu $(LDLIBS) $(GAMMU_CFLAGS) $(GAMMU_LIBS) $(SMSD_LIBS) $(GAMMU) -o $(TOPDIR)/gammu/gammu-shared
+
+ shared: $(TOPDIR)/common/$(LIBGAMMU_FULLNAME) $(TOPDIR)/common/$(LIBGAMMU_STATIC) $(TOPDIR)/gammu/gammu-shared
+
diff --git a/packages/gammu/gammu_1.07.00.bb b/packages/gammu/gammu_1.10.0.bb
index 49a2f21399..9e3f611697 100644
--- a/packages/gammu/gammu_1.07.00.bb
+++ b/packages/gammu/gammu_1.10.0.bb
@@ -2,24 +2,26 @@ DESCRIPTION = "GNU All Mobile Managment Utilities"
SECTION = "console/network"
DEPENDS = "bluez-libs"
LICENSE = "GPL"
-HOMEPAGE = "http://mwiacek.com/gsm/soft/gammu.html"
-AUTHOR = "Marcin Wiacek <marcin@mwiacek.com>"
+HOMEPAGE = "http://www.gammu.org/"
-SRC_URI = "http://www.mwiacek.com/zips/gsm/gammu/stable/1_0x/gammu-${PV}.tar.gz "
+SRC_URI = "http://dl.cihar.com/gammu/releases/gammu-${PV}.tar.bz2 \
+ file://ldflags-again.patch;patch=1"
-EXTRA_OECONF = "--disable-mysql"
+EXTRA_OECONF = "--disable-mysql --with-bluedir=${STAGING_DIR}"
+
+EXTRA_LDFLAGS = "-lbluetooth2"
inherit autotools
do_compile () {
- oe_runmake shared
+ oe_runmake shared LDFLAGS='-L${STAGING_LIBDIR} -lbluetooth'
}
do_stage() {
install -d ${STAGING_INCDIR}/gammu/misc ${STAGING_INCDIR}/gammu/misc/coding \
${STAGING_INCDIR}/gammu/phone ${STAGING_INCDIR}/gammu/phone/at \
${STAGING_INCDIR}/gammu/phone/obex ${STAGING_INCDIR}/gammu/phone/nokia \
- ${STAGING_INCDIR}/gammu/phone/nokia/dct3 ${STAGING_INCDIR}/gammu/phone/nokia/dct4tiku \
+ ${STAGING_INCDIR}/gammu/phone/nokia/dct3 ${STAGING_INCDIR}/gammu/phone/nokia/dct4s40 \
${STAGING_INCDIR}/gammu/phone/symbian ${STAGING_INCDIR}/gammu/phone/alcatel \
${STAGING_INCDIR}/gammu/service ${STAGING_INCDIR}/gammu/service/sms \
${STAGING_INCDIR}/gammu/service/backup ${STAGING_INCDIR}/gammu/device \
@@ -39,7 +41,7 @@ do_stage() {
install -m 0644 common/phone/obex/*.h ${STAGING_INCDIR}/gammu/phone/obex
install -m 0644 common/phone/nokia/*.h ${STAGING_INCDIR}/gammu/phone/nokia
install -m 0644 common/phone/nokia/dct3/*.h ${STAGING_INCDIR}/gammu/phone/nokia/dct3
- install -m 0644 common/phone/nokia/dct4tiku/*.h ${STAGING_INCDIR}/gammu/phone/nokia/dct4tiku
+ install -m 0644 common/phone/nokia/dct4s40/*.h ${STAGING_INCDIR}/gammu/phone/nokia/dct4s40
install -m 0644 common/phone/symbian/*.h ${STAGING_INCDIR}/gammu/phone/symbian
install -m 0644 common/phone/alcatel/*.h ${STAGING_INCDIR}/gammu/phone/alcatel
install -m 0644 common/service/*.h ${STAGING_INCDIR}/gammu/service
diff --git a/packages/images/foonas-image.bb b/packages/images/foonas-image.bb
deleted file mode 100644
index 8dc2370b5e..0000000000
--- a/packages/images/foonas-image.bb
+++ /dev/null
@@ -1,25 +0,0 @@
-DESCRIPTION = "Foonas image"
-LICENSE = "GPL"
-PR = "r0"
-
-inherit image n2100-image turbostation-image lsppchg-image lsppchd-image storcenter-image
-
-DEPENDS = "${MACHINE_TASK_PROVIDER} makedevs-native mtd-utils-native"
-
-EXTRA_IMAGECMD_jffs2 += " --pad --eraseblock=${ERASEBLOCK_SIZE} -D ${FOONAS_DEVICE_TABLE}"
-IMAGE_LINGUAS = ""
-
-RDEPENDS = " \
- base-files base-passwd netbase \
- busybox initscripts foonas-init \
- update-modules sysvinit tinylogin \
- module-init-tools-depmod modutils-initscripts \
- ipkg-collateral ipkg ipkg-link \
- libgcc1 diffutils cpio findutils\
- dropbear e2fsprogs-blkid \
- mdadm hdparm mtd-utils udev \
- ${FOONAS_SUPPORT} \
- ${FOONAS_KERNEL} "
-
-PACKAGE_INSTALL = "${RDEPENDS}"
-
diff --git a/packages/tasks/task-base.bb b/packages/tasks/task-base.bb
index 4d16501d6b..17fc9a30f5 100644
--- a/packages/tasks/task-base.bb
+++ b/packages/tasks/task-base.bb
@@ -1,5 +1,5 @@
DESCRIPTION = "Merge machine and distro options to create a basic machine task/package"
-PR = "r21"
+PR = "r20"
PACKAGES = "task-base \
task-base-oh-minimal \
@@ -38,9 +38,12 @@ PACKAGE_ARCH = "${MACHINE_ARCH}"
# irda
# pci
# pcmcia
+# redboot
+# uboot
# usbgadget
# usbhost
+
DISTRO_CORE_PACKAGE ?= "task-base-core-default"
#
@@ -62,9 +65,12 @@ RDEPENDS_task-base = "\
${@base_contains("COMBINED_FEATURES", "usbhost", "${task-base-usbhost-rdepends}", "",d)} \
${@base_contains("COMBINED_FEATURES", "bluetooth", "${task-base-bluetooth-rdepends}", "",d)} \
${@base_contains("COMBINED_FEATURES", "wifi", "${task-distro-wifi-rdepends}", "",d)} \
+ ${@base_contains("COMBINED_FEATURES", "uboot", "${task-base-uboot-rdepends}", "",d)} \
+ ${@base_contains("COMBINED_FEATURES", "redboot", "${task-base-redboot-rdepends}", "",d)} \
${@base_contains("DISTRO_FEATURES", "nfs", "${task-distro-nfs-rdepends}", "",d)} \
${@base_contains("DISTRO_FEATURES", "ipsec", "${task-distro-ipsec-rdepends}", "",d)} \
${@base_contains("DISTRO_FEATURES", "ppp", "${task-distro-ppp-rdepends}", "",d)} \
+ ${@base_contains("DISTRO_FEATURES", "raid", "${task-distro-raid-rdepends}", "",d)} \
${MACHINE_ESSENTIAL_EXTRA_RDEPENDS} \
${MACHINE_EXTRA_RDEPENDS} \
${DISTRO_EXTRA_RDEPENDS}"
@@ -247,6 +253,12 @@ task-base-usbhost-rrecommends = "\
kernel-module-usbserial \
kernel-module-usb-storage "
+task-base-uboot-rdepends = "\
+ uboot-utils"
+
+task-base-redboot-rdepends = "\
+ fis"
+
task-distro-ppp-rdepends = "\
ppp \
ppp-dialin"
@@ -293,6 +305,8 @@ task-distro-nfs-rrecommends = "\
kernel-module-lockd \
kernel-module-sunrpc"
+task-distro-raid-rdepends = "\
+ "
# Tosort
# kernel-module-ipv6